Subject: Re: [PATCH net-next] bpf: add show_fdinfo handler for maps

From: Daniel Borkmann <[email-masked]>
Date: Thu, 19 Nov 2015 19:36:10 +0100

On 11/19/2015 07:19 PM, Hannes Frederic Sowa wrote:
> On Thu, Nov 19, 2015, at 11:56, Daniel Borkmann wrote:
>> Add a handler for show_fdinfo() to be used by the anon-inodes
>> backend for eBPF maps, and dump the map specification there. Not
>> only useful for admins, but also it provides a minimal way to
>> compare specs from ELF vs pinned object.
>>
>> Signed-off-by: Daniel Borkmann <[email-masked]>
>
> Acked-by: Hannes Frederic Sowa <[email-masked]>
>
> Does it make sense to include bpf_htab->count in case of a hashmap?

It would give a sort-of only volatile view, e.g. like the map's
refcount. It would be possible to show it, but only as kind of
informative to an admin, have no strong opinion on it, though.

I think this goes rather into the direction of better debugging
interfaces for eBPF, probably makes sense think about it wrt a
general debugging/introspection framework and better dump it
there ...